Bug 448467 - octave segfaults while executing "clear all"
octave segfaults while executing "clear all"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: octave-forge (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
: 517482 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 02:28 EDT by Thomas Müller
Modified: 2009-11-04 13:21 EST (History)
8 users (show)

See Also:
Fixed In Version: 20090607-15.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 07:27:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Müller 2008-05-27 02:28:17 EDT
Description of problem:
octave segfaults while executing "clear all".
It does not matter if any variables were defined.


Version-Release number of selected component (if applicable):
octave-3.0.1-1.fc9.x86_64
octave-forge-20080429-1.fc9.x86_64
atlas-3.6.0-15.fc9.x86_64


How reproducible:
always


Steps to Reproduce:
just execute octave --eval "clear all"

  
Actual results:
segmentation fault


Expected results:
no segmentation fault ;)


Additional info:
(gdb) run -q --eval "clear all"
Starting program: /usr/bin/octave -q --eval "clear all"
warning: "/usr/lib/debug/usr/lib64/atlas/liblapack.so.3.0.debug": The separate
debug info file has no debug info
warning: "/usr/lib/debug/usr/lib64/atlas/libblas.so.3.0.debug": The separate
debug info file has no debug info
[Thread debugging using libthread_db enabled]
[New Thread 0x7f8ddaa76700 (LWP 5636)]

Program received signal SIGSEGV, Segmentation fault.
0x00000032d95b8496 in symbol_record::clear (this=<value optimized out>) at ov.h:392
392	    { return rep->is_defined (); }
Current language:  auto; currently c++
Comment 1 Thomas Müller 2008-06-02 04:45:49 EDT
The Windows version also segfaults:

C:\Programme\Octave>bin\octave -q --eval "clear -all"
 - Use `pkg list' to see a list of installed packages.
 - SciTE editor installed. Use `edit' to start the editor.
 - MSYS shell available (C:\Programme\Octave\msys).
 - Graphics backend: jhandles.

panic: Segmentation violation -- stopping myself...
attempting to save variables to `octave-core'...
save to `octave-core' complete
Comment 2 Thomas Müller 2008-06-03 05:11:44 EDT
It seems that some SWIG-based packages (ann, ftp) are the cause of this problem,
so this only happens with octave-forge installed.

This is also discussed on octave's mailing list:
http://www.cae.wisc.edu/pipermail/bug-octave/2008-May/006094.html
Comment 3 Oscar Yanez 2008-09-22 19:46:33 EDT
Hi,

I followed the suggested link in #2 and ran:

> pkg rebuild -noauto ftp database ann

at the octave command prompt (octave was run as superuser) and the problem went away.... as far as you don't use ann or the other packages.

Hope this helps (and thanks to Thomas)

Oscar
Comment 4 Rakesh Pandit 2008-09-22 23:23:29 EDT
Thanks folks for input - will look into it this weekend.
Comment 5 Rakesh Pandit 2008-10-23 05:58:06 EDT
Can you folks reproduce for 3.0.2 and give me the input ?
Comment 6 Thomas Müller 2008-10-23 08:39:15 EDT
I just tested the packages in rawhide and it still crashes when the octave-forge packages "ftp" or "ann" are loaded.

$ rpm -q octave octave-forge
octave-3.0.2-1.fc10.x86_64
octave-forge-20080831-2.fc10.x86_64

$ octave -q
octave:1> clear all
octave:2> pkg load ftp
octave:3> clear all
panic: Segmentation fault -- stopping myself...
attempting to save variables to `octave-core'...
save to `octave-core' complete
Segmentation fault
Comment 7 Rakesh Pandit 2008-10-23 09:39:07 EDT
Thanks for input ... I will get back to it soon.
Comment 8 Alex Lancaster 2008-12-10 05:02:36 EST
I can verify that this is still present in 3.0.3 release. Seems to be an upstream issue in combination with some octave-forge packages perhaps?
Comment 9 Mark van Rossum 2009-01-25 17:52:29 EST
I confirm that 
this bugs still occurs with the combination octave-3.0.3-1.fc10.i386
and octave-forge-20080831-2.fc10.i386. 

Luckily the workaround from #3 still works.
Comment 10 Rakesh Pandit 2009-03-06 01:32:32 EST
I did check mailing list and this issue hasn't been been fixed yet. I have asked for status. Waiting for response.
Comment 11 Rakesh Pandit 2009-03-17 05:04:17 EDT
No response .. this seems to be hanging long!
Comment 12 Mark van Rossum 2009-05-17 07:06:19 EDT
Still in Fedora 11 with Octave 3.0.5 and
octave-forge-20080831-8.fc11.

Work around still valid.
Comment 13 Bug Zapper 2009-06-09 21:14:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Mark van Rossum 2009-06-11 06:32:27 EDT
Please update: still present in FC11.
Comment 15 Alex Lancaster 2009-08-14 10:31:24 EDT
*** Bug 517482 has been marked as a duplicate of this bug. ***
Comment 16 Alex Lancaster 2009-08-14 10:33:42 EDT
Can dupe in F-11 when octave-forge is installed and it goes away if octave-forge is removed.  The underlying reason does seem to be described in comment #6.  These are swig-based packages and reports on the upstream mailing lists suggest that they cause problems.  Ideally probably should remove these packages from the octave-forge bundle.   Will look into this soon.
Comment 17 Alex Lancaster 2009-10-30 04:37:55 EDT
At least in the case of the "ann" package, I can't reproduce the error with the update in updates-testing (soon to be pushed to F-11 stable):

http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10548

octave:1> clear all
octave:2> pkg load ann
octave:3> clear all
octave:4> 

However, the "ftp" package has been temporarily removed as it failed to build upstream against Octave 3.2.x.
Comment 18 Fedora Update System 2009-11-04 07:25:31 EST
mathgl-1.9-6.fc11.1, plplot-5.9.5-1.fc11, pfstools-1.7.0-8.fc11, GMT-4.5.0-4.fc11, octave-forge-20090607-15.fc11, octave-3.2.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.